#include "common/data.hpp"
#include "common/meta.hpp"
#include "nodes/rtmp/rtmpNode.hpp"

namespace GNode
{

void RtmpNode::handle_data(std::shared_ptr<meta::MetaData>& meta_data)
{
    cv::Mat image = meta_data->draw_image;
    int width = image.cols;
    int height = image.rows;
    if (!writer_.isOpened())
    {
        writer_.open(gst_pipeline_, cv::CAP_GSTREAMER, 0, fps_, cv::Size(width, height), true);
        if (!writer_.isOpened())
        {
            PLOGE.printf("RtmpNode : [%s] cannot open video writer", name_.c_str());
            stop();
        }
    }
    writer_ << image;
}

}   // namespace GNode